Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface AssigneeDefinitionType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface AssigneeDefinitionType

extends XmlObject

An XML assigneeDefinitionType(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `AssigneeDefinitionType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`String` | `getName()` Gets the "name" element
`AssigneeTypeType.Enum` | `getType()` Gets the "type" element
`void` | `setName(String name)` Sets the "name" element
`void` | `setType(AssigneeTypeType.Enum type)` Sets the "type" element
`XmlString` | `xgetName()` Gets (as xml) the "name" element
`AssigneeTypeType` | `xgetType()` Gets (as xml) the "type" element
`void` | `xsetName(XmlString name)` Sets (as xml) the "name" element
`void` | `xsetType(AssigneeTypeType type)` Sets (as xml) the "type" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getName

    String getName()

  Gets the "name" element

### xgetName

    XmlString xgetName()

  Gets (as xml) the "name" element

### setName

    void setName(String name)

  Sets the "name" element

### xsetName

    void xsetName(XmlString name)

  Sets (as xml) the "name" element

### getType

    AssigneeTypeType.Enum getType()

  Gets the "type" element

### xgetType

    AssigneeTypeType xgetType()

  Gets (as xml) the "type" element

### setType

    void setType(AssigneeTypeType.Enum type)

  Sets the "type" element

### xsetType

    void xsetType(AssigneeTypeType type)

  Sets (as xml) the "type" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD